use diesel::prelude::*;
use serde::{Deserialize, Serialize};
use super::schema::work_periods;
use chrono::NaiveDateTime;

#[derive(Queryable, Debug, Serialize, Deserialize, Selectable, AsChangeset)]
#[diesel(table_name = crate::schema::work_periods)]
#[diesel(check_for_backend(diesel::sqlite::Sqlite))]
pub struct WorkPeriod {
    pub id: i32,
    pub project: String,
    pub start_time: NaiveDateTime,
    pub end_time: Option<NaiveDateTime>,
    pub description: Option<String>,
}


#[derive(Insertable, Serialize, Deserialize, Debug, Clone)]
#[diesel(table_name = work_periods)]
pub struct NewPeriod {
    pub project: String,
    pub start_time: Option<NaiveDateTime>,
    pub end_time: Option<NaiveDateTime>,
    pub description: Option<String>,
}
